com.sun.jna.platform.win32

## Class WinUser.WNDCLASSEX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.WNDCLASSEX

- Direct Known Subclasses:
    WinUser.WNDCLASSEX.ByReference
  Enclosing interface:
    WinUser

      public static class WinUser.WNDCLASSEX
      extends Structure

  Contains window class information. It is used with the RegisterClassEx and GetClassInfoEx functions. The WNDCLASSEX structure is similar to the WNDCLASS structure. There are two differences. WNDCLASSEX includes the cbSize member, which specifies the size of the structure, and the hIconSm member, which contains a handle to a small icon associated with the window class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinUser.WNDCLASSEX.ByReference` The Class ByReference.

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbClsExtra` The cb cls extra.
    `int` | `cbSize` The cb size.
    `int` | `cbWndExtra` The cb wnd extra.
    `WinDef.HBRUSH` | `hbrBackground` The hbr background.
    `WinDef.HCURSOR` | `hCursor` The h cursor.
    `WinDef.HICON` | `hIcon` The h icon.
    `WinDef.HICON` | `hIconSm` The h icon sm.
    `WinDef.HINSTANCE` | `hInstance` The h instance.
    `Callback` | `lpfnWndProc` The lpfn wnd proc.
    `WString` | `lpszClassName` The lpsz class name.
    `java.lang.String` | `lpszMenuName` The lpsz menu name.
    `int` | `style` The style.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinUser.WNDCLASSEX()` Instantiates a new wndclassex.
    `WinUser.WNDCLASSEX(Pointer memory)` Instantiates a new wndclassex.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

      The cb size.

    - #### style

          public int style

      The style.

    - #### lpfnWndProc

          public Callback lpfnWndProc

      The lpfn wnd proc.

    - #### cbClsExtra

          public int cbClsExtra

      The cb cls extra.

    - #### cbWndExtra

          public int cbWndExtra

      The cb wnd extra.

    - #### hInstance

          public WinDef.HINSTANCE hInstance

      The h instance.

    - #### hIcon

          public WinDef.HICON hIcon

      The h icon.

    - #### hCursor

          public WinDef.HCURSOR hCursor

      The h cursor.

    - #### hbrBackground

          public WinDef.HBRUSH hbrBackground

      The hbr background.

    - #### lpszMenuName

          public java.lang.String lpszMenuName

      The lpsz menu name.

    - #### lpszClassName

          public WString lpszClassName

      The lpsz class name.

    - #### hIconSm

          public WinDef.HICON hIconSm

      The h icon sm.

  - ### Constructor Detail

    - #### WinUser.WNDCLASSEX

          public WinUser.WNDCLASSEX()

      Instantiates a new wndclassex.

    - #### WinUser.WNDCLASSEX

          public WinUser.WNDCLASSEX(Pointer memory)

      Instantiates a new wndclassex.
      Parameters:
        `memory` - the memory

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.